#ifndef RL_DISPLAY_H
#define RL_DISPLAY_H 1

/***************************************************************************/

#define FASTLED_INTERNAL 1 /* silence FastLED output */

#include "main.h"
#include "rl_render.h"

/***************************************************************************/

/* now the display related storage */

extern CRGB     ledfield[ RINGLIGHT_SEGMENT_LEDS ];


/*
** prototypes
*/

void Display_UpdateSettings( void );
void Display_Startup( void );
void Display_Handle( void );
void Display_Update( void );
void Display_Clear( void );

/***************************************************************************/

#endif /* RL_DISPLAY_H */