#ifndef RL_GLOBAL_H
#define RL_GLOBAL_H 1

/***************************************************************************/

#include "main.h"

/***************************************************************************/

#define SETTINGS_NAME "/Settings.bin"

/***************************************************************************/

/*
** prototypes
*/


void     Global_Setup( void );

void     Global_UpdateDisplayBrightness( void );
void     Global_UpdatePowerState( void );
void     Global_UpdateVolume( void );

void     Global_HandleEvents( bool force );

void     Global_PlaySound( uint32_t sampleid );

void     Global_SettingsReset( void );
uint32_t Global_SettingsLoad( void );
uint32_t Global_SettingsSave( void );

/***************************************************************************/

#endif /* RL_GLOBAL_H */

